<?

define('_IN_JOHNCMS', 1);
$rootpath = '../../';
require_once ($rootpath."incfiles/core.php");
require_once ($rootpath."incfiles/head.php");
echo "<div class='phdr'>Письмо Ленину</div>";


function form()
{
	$file = file_get_contents("temp/lenin.tmp");
	$out = intval($file);
	echo '<form method="post" action="lenin.php">
<div class="gmenu">
Ваше имя:<br/>
<input type="text" name="1" value=""/><br/>
Плохой человек:<br/>
<input type="text" name="2" value=""/><br/>
Какая наша страна:<br/>
<input type="text" name="3" value=""/><br/>
Очень плохой человек:<br/>
<input type="text" name="4" value=""/><br/>
Матное ругательство:<br/>
<input type="text" name="5" value=""/>
</div><div class="bmenu">
<input type="submit" name="submit" value="Написать :)"/></div>
</form><div class="gmenu">Написали: '.$out.' раз(a)</div>';
}


if(isset ($_POST['submit']))
{
	for($i = 1; $i < 6; $i++)
	{
		$text[$i] = functions :: checkout(mb_substr($_POST[$i], 0, 20), 1, 1);
	}
	$file = file_get_contents("temp/lenin.tmp");
	$out = intval($file + 1);
	echo '<div class="gmenu">Здраствуй дорогой Ленин!<br /> Скорее всего Вы не будете читать это письмо, но если всё таки будете, то:<br />
Мне очень сильно нравится имя '.$text[1].', а мои родители назвали меня '.$text[2].':(<br /> Возможно в этом виноваты Вы, а именно Ваше воспитание при Вашем правлении!<br />
Об нашей стране говорят, что она '.$text[3].', и это не просто так!<br />
В своё время Вы , развалили всю страну '.$text[5].':(<br />
И из-за этого теперь моя бабушка говорит что Вы '.$text[4].' '.$mat.'</div>';
	//Запись
	$fp_send = fopen("temp/lenin.tmp", "w");
	flock($fp_send, LOCK_EX);
	fputs($fp_send, $out);
	flock($fp_send, LOCK_UN);
	fclose($fp_send);
	chmod("temp/lenin.tmp", 0666);
}
else
{
	echo '<div class="rmenu">Пишите вразумительные ответы, иначе результат не будет иметь смысла и вы зря потратите время.</div>';
	form();
}
echo '<div class="menu"><a href="../?act=send">Еще письма</a><br /><a href="../?">В раздел</a></div>';
require_once ($rootpath."incfiles/end.php");

?>